 /* This program is free software. It comes without any warranty, to
 * the extent permitted by applicable law. You can redistribute it
 * and/or modify it under the terms of the Do What The Fuck You Want
 * To Public License, Version 2, as published by Sam Hocevar. See
 * http://sam.zoy.org/wtfpl/COPYING for more details. */
 
 int makeSimpleDataSection(FILE *qbFile, unsigned int sectionType, unsigned int fileId, unsigned int sectionId);
int makeStringSection(FILE *qbFile, unsigned int fileId, unsigned int sectionId, char *string);
int makeScriptSection(FILE *qbFile, unsigned int fileId, ScriptInfo *script);
void makePadding(FILE *qbFile);
int makeQBKeyArray(FILE *qbFile, int numEntries, unsigned int *entries);
int makeVector(FILE *qbFile, float element1, float element2);
int makeStructDeclaration(FILE *qbFile);
int closeStruct(FILE *qbFile, int structPointer);
int makeStructSimple(FILE *qbFile, unsigned int structType, unsigned int name, unsigned int value, int pointerLink);
int makeStructFloat(FILE *qbFile, unsigned int name, float value, unsigned int pointerLink);
int makeStructPointer(FILE *qbFile, unsigned int structType, unsigned int name, unsigned int pointerLink);
int makeStructString(FILE *qbFile, unsigned int name, char *value, unsigned int pointerLink);
int linkStruct(FILE *qbFile, int structPointer, int newPointer);
int finishQB(FILE *qbFile);
